class ContadorGlobal {
	contar: number = 0;
	incrementar(): void {
		this.contar++;
	}
}

describe("configurar y desmontar un test", () => {
	let conteoGlobal: ContadorGlobal;

	beforeAll(() => {
		conteoGlobal = new ContadorGlobal();
	});
	beforeEach(() => {
		conteoGlobal.contar = 0;
	});
	afterEach(() => {
		console.log("contar = " + conteoGlobal.contar);
	});


	test("incremeto una vez", () => {
		conteoGlobal.incrementar();
		expect(conteoGlobal.contar).toEqual(1);
	});
	it("incremento dos veces", () => {
		conteoGlobal.incrementar();
		conteoGlobal.incrementar();
		expect(conteoGlobal.contar).toEqual(2);
	});
});	
